Skip to main content
GET
/
bots
/
{botId}
/
workflows
/
{id}
Export a single workflow
curl --request GET \
  --url https://api.helloannie.com/v1/bots/{botId}/workflows/{id}
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "description": "<string>",
    "enabled": true,
    "usageContext": "<string>",
    "steps": [
      {
        "title": "<string>",
        "description": "<string>",
        "instructions": "<string>",
        "examples": [
          "<string>"
        ],
        "order": 0,
        "childSteps": [
          {
            "title": "<string>",
            "description": "<string>",
            "instructions": "<string>",
            "examples": [
              "<string>"
            ],
            "order": 0,
            "action": "<string>",
            "actionMetadata": "<unknown>"
          }
        ],
        "action": "<string>",
        "actionMetadata": "<unknown>"
      }
    ]
  }
}

Path Parameters

botId
string<uuid>
required

The ID of the bot the workflow belongs to

workflowId
string<uuid>
required

The ID of the workflow to export

Response

Response containing a single exported workflow

success
enum<boolean>
required
Available options:
true
data
object
required

A workflow exported in portable JSON format